@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap");

* {
  font-family: 'Poppins', sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
  list-style: none;
  text-decoration: none;
}

:root {
  --main-color: #c2a449;
  --second-color: #626a19;
  --text-color: #a3893b;
  --bg-color: #fdf9f9;
  --box-shadow: 2px 2px 18px rgba(14, 52, 54, 0.15);
}

body {
  letter-spacing: 0.5px;
  background: var(--bg-color);
}

img {
  width: 100%;
  display: block;
}

header {
  position: fixed;
  top: 0;
  width: 100%;
  background: var(--bg-color);
  z-index: 1000;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.05);
}

.nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 50px;
  position: relative;
}

.logo img {
  width: 100px;
}

#menu {
  display: none;
}

.hamburger {
  display: none;
  flex-direction: column;
  justify-content: space-between;
  width: 24px;
  height: 18px;
  cursor: pointer;
  z-index: 3;
}

.hamburger .bar {
  height: 3px;
  width: 100%;
  background-color: var(--main-color);
  border-radius: 2px;
  transition: 0.4s;
}

#menu:checked + .hamburger .bar:nth-child(1) {
  transform: rotate(45deg) translate(5px, 5px);
}

#menu:checked + .hamburger .bar:nth-child(2) {
  opacity: 0;
}

#menu:checked + .hamburger .bar:nth-child(3) {
  transform: rotate(-45deg) translate(5px, -5px);
}

.navbar {
  display: flex;
  gap: 1rem;
}

.navbar a {
  padding: 8px 17px;
  color: var(--main-color);
  font-size: 1rem;
  font-weight: 500;
  text-transform: uppercase;
}

.navbar a:hover {
  color: var(--second-color);
}

.btn {
  margin-left: 5px;
  padding: 8px 22px;
  background: var(--text-color);
  color: var(--bg-color);
  border-radius: 10px;
  text-align: center;
  display: inline-block;
}

.btn:hover {
  background: var(--main-color);
}

.container {
  max-width: 90%;
  margin: auto;
}

/* Home Section */
.home {
  margin-top: 130px;
  height: 440px;
  border-radius: 1.5rem;
  background: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.7)),
    url(images/Subject.png);
  background-size: cover;
  background-position: center;
  display: flex;
  align-items: center;
}

.home-text {
  margin-right: 500px;
  padding-left: 80px;
}

.home-text h1 {
  font-size: 50px;
  color: var(--bg-color);
  font-weight: 600;
  margin-bottom: 10px;
  letter-spacing: 2px;
}

/* About */
.about {
  display: grid;
  margin: 80px;
  grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
  grid-template-areas: "text img";
  gap: 3rem;
  align-items: center;
}

.about-text { grid-area: text; }
.about-img  { grid-area: img; }

.about-img img {
  border-radius: 1.5rem 0 1.5rem 1.5rem;
}

.about-text span {
  font-size: 1rem;
  text-transform: uppercase;
  font-weight: 500;
  color: var(--main-color);
}

.about-text h2 {
  font-size: 1.6rem;
}

.about-text p {
  font-size: 0.938rem;
  margin: 1rem 0;
  padding: 0 2px;
}

/* Services */
.service {
  display: flex;
  margin: 50px;
}

.service-sub {
  width: 100%;
  margin: 0 70px 0 0;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(210px, auto));
  gap: 1.5rem;
}



.service .box {
  padding: 20px;
  background: var(--bg-color);
  box-shadow: var(--box-shadow);
  text-align: center;
  border-radius: 2rem;
}

.service .box:hover {
  background: var(--main-color);
  color: var(--bg-color);
  transition: 0.4s all linear;
}

.service .box .bx {
  padding: 10px;
  border-radius: 50%;
  background: #f6f6f6;
  color: var(--main-color);
  font-size: 20px;
}

.service.box h3 {
  font-size: 1.1rem;
  margin: 1rem 0 0, 4rem;
}

.service .box p {
  font-size: 00.938rem;
}

.head {
  width: 500px;
  margin-top: 20px;
  text-align: center;
}

.head span {
  font-weight: 500;
  color: var(--main-color);
}

.head h2 {
  font-size: 1.7rem;
  color: var(--text-color);
}

.head p {
  font-size: 0.938rem;
}

.ongoing {
  margin-top: 100px;
}

.heading {
  text-align: center;
  margin-bottom: 2rem;
}

.line {
  margin-bottom: 2rem;
}

.heading span {
  font-weight: 500;
  color: var(--main-color);
}

.heading h2 {
  font-size: 1.7rem;
  color: var(--text-color);
}

.heading p {
  font-size: 0.938rem;
}

/* Properties */
.prop {
  background: #fbfbfb;
  border-radius: 2rem;
  padding: 2rem 0;
}

.prop-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
  gap: 1.5rem;
}

.prop-container .box {
  background: var(--bg-color);
  padding: 20px;
  border-radius: 1rem;
  box-shadow: var(--box-shadow);
  transition: 0.3s ease;
}

.prop-container .box:hover {
  transform: translateY(-10px);
}

.prop-container .box img {
  height: 250px;
  object-fit: cover;
  border-radius: 1rem;
}

.prop-container .box .content {
  margin-top: 1.5rem;
  color: black;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.prop-container .box h3 {
  font-size: 1.1rem;
  font-weight: 600;
  color: var(--text-color);
}

.prop-container .box p {
  font-size: 0.9rem;
}

/*projects */
.pro {
  position: relative;
  margin-bottom: 30px;
  width: 80%;
  height: 400px;
  border-radius: 1rem;
  overflow: hidden;
  box-shadow: var(--box-shadow);
}

.pro img {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: fill;
  border-radius: 1rem;
  opacity: 0;
  animation: fadeImages 25s infinite;
}

.pro img:nth-child(2) {
  animation-delay: 5s;
}
.pro img:nth-child(3) {
  animation-delay: 10s;
}
.pro img:nth-child(4) {
  animation-delay: 15s;
}
.pro img:nth-child(5) {
  animation-delay: 20s;
}

@keyframes fadeImages {
  0%,
  30%,
  100% {
    opacity: 0;
  }
  10%,
  20% {
    opacity: 1;
  }
}

/* News */
.news {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  margin-bottom: 30px;
}

.news-text h1 {
  color: var(--text-color);
  font-size: 2rem;
  margin-bottom: 5px;
}

.news-text span {
  color: black;
}

/* Footer */
.footer {
  background: var(--text-color);
  color: var(--bg-color);
  padding: 3rem 1rem 1rem;
  border-radius: 5rem 0 0 0;
}

.footer-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 2rem;
  text-align: center;
}

.footer-container h2{
  text-align: left;
}

.fir{
  display: flex;
  justify-content: space-between;
}

.footer-box h3 {
  margin-bottom: 1rem;
}

.footer-box a {
  display: block;
  font-size: 0.85rem;
  color: var(--bg-color);
  margin-bottom: 0.5rem;
}

.footer-box a:hover {
  color: var(--second-color);
}

.social {
  display: flex;
  justify-content: center;
}

.social a {
  font-size: 20px;
  margin: 0 5px;
}

.copyright {
  text-align: center;
  margin-top: 2rem;
  font-size: 0.75rem;
}

/* Scroll to Top */
#scrollToTopBtn {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 100;
  background-color: var(--main-color);
  color: white;
  border: none;
  outline: none;
  width: 45px;
  height: 45px;
  border-radius: 50%;
  font-size: 20px;
  cursor: pointer;
  display: none;
  transition: opacity 0.3s ease;
}

#scrollToTopBtn:hover {
  background-color: var(--second-color);
}

/* Fade In Animation */
.fade-in {
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.fade-in.visible {
  opacity: 1;
  transform: translateY(0);
}

/* Responsive */
@media (max-width: 1200px) {
    .home-text{
    margin-right: 200px;
  }
}
@media (max-width: 768px) {
  .hamburger {
    display: flex;
  }

  .navbar {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    flex-direction: column;
    text-align: center;
    background: var(--text-color);
    clip-path: circle(0% at 100% 0%);
    transition: clip-path 0.5s ease;
    z-index: 1;
  }

  .nav {
    padding: 0 10px;
  }

  .navbar a {
    display: block;
    margin: 1rem;
    padding: 5px;
    color: var(--bg-color);
  }

  .navbar a:hover {
    background: var(--second-color);
    color: var(--bg-color);
    transition: 0.5s;
  }

  #menu:checked ~ .navbar {
    clip-path: circle(144% at 100% 1%);
  }

  .logo img {
    width: 80px;
  }

  .home-text{
    text-align: center;
    padding-left: 0;
    margin-right: 0;
  }
  .home-text h1 {
    font-size: 35px;
  }
  .prop-container {
    grid-template-columns: 1fr;
  }

  .footer-container {
    gap: 1rem;
    text-align: left;
    grid-template-columns: 1fr;
  }

  .fir{
    margin-top: 10px;
  }

  .pro {
    width: 100%;
    height: 200px;
  }

  .news-text h1 {
    font-size: 25px;
  }

  .service {
    flex-direction: column;
    margin: 30px 20px;
  }

  .service-sub {
    display: flex;
    gap: 0.5rem;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    -webkit-overflow-scrolling: touch;
    padding: 10px 0 10px 0;
  }

  /* Hide scrollbar (optional) */
  .service-sub::-webkit-scrollbar {
    display: none;
  }
  
    .service-sub {
    scrollbar-width: none;
  }

  .service-sub .box {
    max-width: 90%;
    flex: 0 0 auto;
    scroll-snap-align: center;
    margin: 0 5px 0 5px;
  }

  .about{
    text-align: center;
    margin: 20px;
    grid-template-areas:
      "text"
      "img";
  }

  .about-text{
    margin-top: 20px;
  }

  .head {
    width: 100%;
    margin-bottom: 20px;
  }
}
